GET /data/contacts
neotomadb.org:neotoma-database-api
Summary: List contacts
Operation ID: listContacts
Auth: unknown
Operation ID: listContacts
Auth: unknown
Description
Retrieve a list of contacts (researchers, organizations) in the database.
Parameters (3)
familyname
(string, query, optional)
Filter contacts by family name
limit
(integer, query, optional, default: 25)
Maximum number of results to return
offset
(integer, query, optional, default: 0)
Number of results to skip for pagination
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| List contacts with default pagination | curl |
https://api.neotomadb.org/data/contacts |
|
| Filter contacts by family name | curl |
https://api.neotomadb.org/data/contacts?familyname=Smith |
|
| Filter by contact ID with custom limit | curl |
https://api.neotomadb.org/data/contacts?contactid=1&limit=10 |
|
| List contacts | probe-gate |
https://api.neotomadb.org/v2.0/data/contacts?limit=25&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:33:08.892061 | 200 | 755ms | |
| 2026-03-23 11:18:46.474995 | 200 | 766ms | |
| 2026-03-23 09:24:18.425562 | 200 | 526ms | |
| 2026-03-22 22:59:46.422544 | 200 | 2513ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:24:18.425562 | c83cfe7421a1 |
01ec94f4a6fb |
| 2026-03-23 11:18:46.474995 | 01ec94f4a6fb |
c83cfe7421a1 |